%define	name	pingus
%define	version	0.7.2
%define	release	1mjk.mdv2008.0
%define	Summary	Pingus - A free Lemmings clone

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://dark.x.dtu.dk/~grumbel/pingus/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch1:		pingus-0.7.1-dataloc.patch
#Patch2:		pingus-0.7.1-boost.patch
URL:		http://pingus.seul.org/
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	scons
BuildRequires:	boost-devel
BuildRequires:	SDL_mixer-devel 
BuildRequires:	SDL_image-devel
BuildRequires:	libpng-devel
BuildRequires:	physfs-devel

%description
Pingus is a free Lemmings clone covered under the GPL. Pingus uses SDL,
which should make it portable over a lot of operating systems in the future. At
the moment the main target is Linux. It is possible to play Pingus in a X
window or in fullscreen.

%prep
%setup -q
%patch1 -p1 -b .dataloc
#%patch2 -p0 -b .boost
sed -i 's/BINDIR="\$1\/bin\/"/BINDIR="\$1\/games"/' install.sh
sed -i 's/DATADIR="\$1\/share\/pingus\/"/DATADIR="\$1\/share\/games\/pingus\/"/' install.sh
%build
scons

%install
rm -rf $RPM_BUILD_ROOT
./install.sh $RPM_BUILD_ROOT/usr

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Pingus
Comment=%Summary
Exec=%{_gamesbindir}/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/locale/locale.alias

%post
%{update_menus}
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README* TODO
%{_gamesbindir}/pingus
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png




%changelog
* Mon Nov 05 2007 Jaroslav Krejci <krejci@zstenis.com> 0.7.2-1mjk.mdv2008.0
- new version

* Fri Oct 26 2007 Crispin Boylan <crisb@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 102297
- Update description, update and reenable patch1

* Thu Oct 25 2007 Crispin Boylan <crisb@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 102209
- Add patch2 for new boost lib name
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 28 2007 Crispin Boylan <crisb@mandriva.org> 0.7.0-1mdv2008.0
+ Revision: 72333
- New version, does not depend on clanlib anymore


* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-9mdv2007.0mdv2007.0
+ Revision: 104768
- Import pingus

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-9mdv2007.1mdv2007.1
- unpack patches
- xdg menu

* Mon Jan 16 2006 Olivier Blin <oblin@mandriva.com> 0.6.0-9mdk
- buildrequires correct clanlib version

* Wed Dec 21 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.0-8mdk
- from Colin Guthrie <mdk@colin.guthr.ie> :
	o fix build with gcc4 (P2)
	o remove locale.alias which breaks build

* Wed Sep 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-7mdk
- rebuild for new menu
- fix buildrequires (lib64..)

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 0.6.0-6mdk
- rebuild for new gcc and new clanlib, with the help of Laurent Montel <lmontel@mandrakesoft.com>
- remove Packager tag

